Loading...
Searching...
No Matches
COutputStream Class Reference
Inheritance diagram for COutputStream:
[legend]

## Public Member Functions

| COutputStream (const std::string &filename, std::ios_base::openmode mode=std::ios_base::out)
void | open (const std::string &filename, std::ios_base::openmode mode=std::ios_base::out)
void | close ()
bool | is_open ()

## Additional Inherited Members

Protected Attributes inherited from COutputStreamBufferContainer
COutputStreamBuffer | m_buffer

## Constructor & Destructor Documentation

## COutputStream()

COutputStream::COutputStream | ( | const std::string & | filename,
|  | std::ios_base::openmode | mode = std::ios_base::out )

Construct and Open Stream for writing

Parameters

  filename |
  mode | one of: std::ios_base::out - Open for writing, std::ios_base::app - Append to file

## Member Function Documentation

## open()

void COutputStream::open | ( | const std::string & | filename,
|  | std::ios_base::openmode | mode = std::ios_base::out )

Open Stream for writing

Parameters

  filename |
  mode | one of: std::ios_base::out - Open for writing, std::ios_base::app - Append to file

The documentation for this class was generated from the following files:

- src/common/resources/outputstream.h
- src/common/resources/outputstream.cpp